﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows;
using Infragistics.Windows.Controls;

namespace WpfApplication1
{
    class ViewModelMain : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        private void NotifyPropertyChanged(String propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

            
        private ObservableCollection<ViewModelBase> _tabList;
        public ObservableCollection<ViewModelBase> TabList
        {
            get { return _tabList; }
            set
            {
                _tabList = value;
                NotifyPropertyChanged("TabList"); 
            }
        }

        private ViewModelBase _selectedTabVM;
        public ViewModelBase SelectedTabViewModel
        {
            get { return _selectedTabVM; }
            set { _selectedTabVM = value; }
        }
        

        /// <summary>
        /// Initializes a new instance of the PVConfigurationMainViewModel class.
        /// </summary>
        public ViewModelMain()
        {
            TabList = new ObservableCollection<ViewModelBase>();
            TabList.Add(new UC1ViewModel("View1"));
            TabList.Add(new UC2ViewModel("View2"));

            SelectedTabViewModel = TabList[0];
             
        }
    }        
}
